# Generated by Django 2.2.3 on 2019-07-29 09:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('category', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='question',
            options={'ordering': ('-category__priority_weight', '-priority_weight', 'id')},
        ),
        migrations.AddField(
            model_name='category',
            name='priority_weight',
            field=models.PositiveIntegerField(default=0),
        ),
        migrations.AddField(
            model_name='question',
            name='priority_weight',
            field=models.PositiveIntegerField(default=0),
        ),
        migrations.AddField(
            model_name='question',
            name='required_answer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='follow_up_questions', to='category.PossibleAnswer'),
        ),
    ]
